Package be.fgov.ehealth.commons.enc.v2

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.commons.enc.v2.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons.enc.v2 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.enc.v2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CipherData`
  `createCipherData()`
  Create an instance of `CipherData`
  `CipherReference`
  `createCipherReference()`
  Create an instance of `CipherReference`
  `CipherValue`
  `createCipherValue()`
  Create an instance of `CipherValue`
  `Digest`
  `createDigest()`
  Create an instance of `Digest`
  `jakarta.xml.bind.JAXBElement<EncryptedDataType>`
  `createEncryptedData(EncryptedDataType value)`
  Create an instance of `JAXBElement``<``EncryptedDataType``>`
  `EncryptedDataType`
  `createEncryptedDataType()`
  Create an instance of `EncryptedDataType`
  `jakarta.xml.bind.JAXBElement<EncryptedDataType>`
  `createEncryptedKey(EncryptedDataType value)`
  Create an instance of `JAXBElement``<``EncryptedDataType``>`
  `EncryptionMethod`
  `createEncryptionMethod()`
  Create an instance of `EncryptionMethod`
  `EncryptionPolicy`
  `createEncryptionPolicy()`
  Create an instance of `EncryptionPolicy`
  `ETKSearchCriteria`
  `createETKSearchCriteria()`
  Create an instance of `ETKSearchCriteria`
  `Key`
  `createKey()`
  Create an instance of `Key`
  `KeyInfo`
  `createKeyInfo()`
  Create an instance of `KeyInfo`
  `jakarta.xml.bind.JAXBElement<jakarta.activation.DataHandler>`
  `createURI(jakarta.activation.DataHandler value)`
  Create an instance of `JAXBElement``<``DataHandler``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.enc.v2

- ## Method Details

  - ### createCipherData

    public CipherData createCipherData()
    Create an instance of `CipherData`
    Returns:
      the new instance of `CipherData`

  - ### createCipherReference

    public CipherReference createCipherReference()
    Create an instance of `CipherReference`
    Returns:
      the new instance of `CipherReference`

  - ### createDigest

    public Digest createDigest()
    Create an instance of `Digest`
    Returns:
      the new instance of `Digest`

  - ### createCipherValue

    public CipherValue createCipherValue()
    Create an instance of `CipherValue`
    Returns:
      the new instance of `CipherValue`

  - ### createEncryptedDataType

    public EncryptedDataType createEncryptedDataType()
    Create an instance of `EncryptedDataType`
    Returns:
      the new instance of `EncryptedDataType`

  - ### createEncryptionMethod

    public EncryptionMethod createEncryptionMethod()
    Create an instance of `EncryptionMethod`
    Returns:
      the new instance of `EncryptionMethod`

  - ### createEncryptionPolicy

    public EncryptionPolicy createEncryptionPolicy()
    Create an instance of `EncryptionPolicy`
    Returns:
      the new instance of `EncryptionPolicy`

  - ### createKeyInfo

    public KeyInfo createKeyInfo()
    Create an instance of `KeyInfo`
    Returns:
      the new instance of `KeyInfo`

  - ### createKey

    public Key createKey()
    Create an instance of `Key`
    Returns:
      the new instance of `Key`

  - ### createETKSearchCriteria

    public ETKSearchCriteria createETKSearchCriteria()
    Create an instance of `ETKSearchCriteria`
    Returns:
      the new instance of `ETKSearchCriteria`

  - ### createURI

    public jakarta.xml.bind.JAXBElement<jakarta.activation.DataHandler> createURI(jakarta.activation.DataHandler value)
    Create an instance of `JAXBElement``<``DataHandler``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DataHandler``>`

  - ### createEncryptedData

    public jakarta.xml.bind.JAXBElement<EncryptedDataType> createEncryptedData(EncryptedDataType value)
    Create an instance of `JAXBElement``<``EncryptedDataType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``EncryptedDataType``>`

  - ### createEncryptedKey

    public jakarta.xml.bind.JAXBElement<EncryptedDataType> createEncryptedKey(EncryptedDataType value)
    Create an instance of `JAXBElement``<``EncryptedDataType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``EncryptedDataType``>`